Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class StateCreationAspect

    java.lang.Object
      org.jboss.jms.client.container.StateCreationAspect

public class StateCreationAspect
extends java.lang.Object

Maintains the hierarchy of parent and child state objects. For each delegate, this interceptor maintains a state object and it's children/parent. The state object is then made accessible to any of the aspects/interceptors in the chain. This enables the aspects/interceptors to access and make use of the state without having to resort to multiple messy get/set methods on the delegate API. This interceptor is PER_VM.

Author:
  Ovidiu Feodorov $Id: StateCreationAspect.java,v 1.17 2006/05/23 18:25:07 ovidiu Exp $

Constructor Summary
`StateCreationAspect()`

Method Summary
`java.lang.Object` | `handleCreateBrowserDelegate(Invocation invocation)`
`java.lang.Object` | `handleCreateConnectionDelegate(Invocation inv)`
`java.lang.Object` | `handleCreateConsumerDelegate(Invocation invocation)`
`java.lang.Object` | `handleCreateProducerDelegate(Invocation invocation)`
`java.lang.Object` | `handleCreateSessionDelegate(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateCreationAspect

    public StateCreationAspect()

Method Detail

### handleCreateConnectionDelegate

    public java.lang.Object handleCreateConnectionDelegate(Invocation inv)
                                                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateSessionDelegate

    public java.lang.Object handleCreateSessionDelegate(Invocation invocation)
                                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateConsumerDelegate

    public java.lang.Object handleCreateConsumerDelegate(Invocation invocation)
                                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateProducerDelegate

    public java.lang.Object handleCreateProducerDelegate(Invocation invocation)
                                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateBrowserDelegate

    public java.lang.Object handleCreateBrowserDelegate(Invocation invocation)
                                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.